{% extends 'base.html' %}
{% block title %}
Tienda - Venta
{% endblock  %}

{% block functions%}
function calculartotal(event)
    {             
        console.log(event.srcElement.value)  
        var cantidad = event.srcElement.value
        var precio =   document.getElementById("precio").value;        
        var total = precio * cantidad
        document.getElementById("total").value = total 
    }

function completarPrecio(event)
{
    var precio = document.getElementById("lista_productos").value.split("-")[1];
    document.getElementById("precio").value = precio 
}

$(document).on('click', '#eliminar', function(event){
    event.preventDefault();
    $(this).closest('tr').remove();
});
{% endblock%}

{% block body %}

<section class="container col-lg-6">
    <br>
    <h2>Realizar nueva venta</h2>
    <br>
    <h5>Tienda: {{tienda}}</h5>
    <h6>Vendedor: {{vendedor}}</h6>
    <h6>Num. Venta: {{nro_venta}}</h6>
    <h6>Fecha: {{hoy}}</h6>
    <br>
    {%for message in messages %}
        <div class="alert alert-info" role="alert">
            {{message}}
        </div>
    {% endfor %}
    <form method="post" class="container">
        {% csrf_token %}
        
        <label for="lista_productos">Agregar producto</label><br>
        <select class="custom-select col-4" name="lista_productos" id="lista_productos" onchange="return completarPrecio(event)">
            <option value="NOSELECT">Seleccione un producto</option>
            {% for producto in productos %}
                <option value="{{producto}}-{{producto.precio}}">{{producto}}</option>
            {% endfor %}
        </select>
        <br><label for="cantidad" >Cantidad</label>
        <input type="number" onkeyup="return calculartotal(event)" id="cantidad" name="cantidad" class="form-control col-4">
       
        
        <label for="precio">Precio</label>
        <input type="number" readonly id="precio" name="precio" class="form-control col-4">
        <label for="total">Total</label>
        <input type="number"  readonly id="total" name="total" class="form-control col-4">
        <br><button type="submit" class="btn btn-success" name="event" value="agregar">Agregar</button>
    </form>
    <br> 


    <form method="post">
    {% csrf_token %}
    <table class="col-12">
        <thead >
            <tr>
                <th>ID</th>
                <th>Producto</th>
                <th>Tipo</th>
                <th>Cantidad</th>
                <th>Precio Unit.</th>
                <th>Precio final</th>
                <th>Borrar</th>
            </tr>
        </thead>  
        <tbody>
            {% for venta in productos_agregados %}
            <tr name="id_venta" value="{{venta.id}}">
                <td>{{venta.id}}</td>
                <td>{{venta.producto.nombre}}</td>
                <td>{{venta.producto.tipo_producto}}</td>
                <td>{{venta.cantidad}}</td>
                <td>{{venta.producto.precio}}</td>
                <td>{{venta.total}}</td>
                <td><button type="submit" class="btn btn-danger" name="event" value="eliminar-{{venta.id}}">x</button></td>
            </tr>
            {% endfor %}
        </tbody>  
    </table>
    <br>
    <button type="submit" class="btn btn-success" name="event" value="guardar">Generar venta</button>
    <button type="submit" class="btn btn-warning" name="event" value="cancelar">Cancelar venta</button>
    </form>
        

</section>


{% endblock  %}
